# Data-Doc
WeBankBlockchain-Data数据治理通用组件[文档](https://data-doc.readthedocs.io/zh_CN/dev/index.html)

## 组件介绍
### **WeBankBlockchain-Data-Stash  数据仓库组件** 
提供FISCO BCOS节点数据扩容、备份和裁剪的能力。
可基于binlog协议同步区块链底层节点数据，支持断点续传，数据可信验证，并提供快速同步机制。
请参考:  
- [Github地址](https://github.com/WeBankBlockchain/Data-Stash)
- [Gitee地址](https://gitee.com/WeBankBlockchain/Data-Stash)
- [文档](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Stash/index.html)
- [快速开始](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Stash/quickstart.html)

### **WeBankBlockchain-Data-Export  数据导出组件** 
支持将链上数据导出到MySQL等结构化存储中，解决区块链数据复杂查询、分析和处理的问题。
只需简单配置、无需开发、即可实时导出个性化的业务数据，实现将裸数据转化为标准化、结构化、有序化、可视化的高价值数据。
请参考:  
- [Github地址](https://github.com/WeBankBlockchain/Data-Export)
- [Gitee地址](https://gitee.com/WeBankBlockchain/Data-Export)
- [文档](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Export/index.html)
- [快速开始](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Export/install.html)
    
### **WeBankBlockchain-Data-Reconcile  数据对账组件**
提供区块链数据的对账解决方案。
灵活配置、无需开发，支持自定义对账数据和对账格式，支持定时对账和触发对账，对账处理模块可插拔可扩展。
请参考:  
- [Github地址](https://github.com/WeBankBlockchain/Data-Reconcile)
- [Gitee地址](https://gitee.com/WeBankBlockchain/Data-Reconcile)
- [文档](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Reconcile/index.html)
- [快速开始](https://data-doc.readthedocs.io/zh_CN/latest/docs/WeBankBlockchain-Data-Reconcile/install.html)	

## 贡献代码
欢迎参与本项目的社区建设：
- 如项目对您有帮助，欢迎点亮我们的小星星(点击项目右上方Star按钮)。
- 欢迎提交代码(Pull requests)。
- [提问和提交BUG](https://github.com/WeBankBlockchain/Data-Doc/issues)。
- 如果发现代码存在安全漏洞，请在[这里](https://security.webank.com)上报。


## License
![license](http://img.shields.io/badge/license-Apache%20v2-blue.svg)

开源协议为[Apache License 2.0](http://www.apache.org/licenses/). 详情参考[LICENSE](../LICENSE)。
