# 数据对账组件

[![License](https://img.shields.io/badge/license-Apache%202-4EB1BA.svg)](https://www.apache.org/licenses/LICENSE-2.0.html)

```eval_rst
.. admonition:: **简介**
    
    传统企业间的对账，依赖于对账双方的中心化账本。中心化账本在对账期间如果出现账不平的情况，排查非常耗时耗力。区块链作为信任的机器，具有不可篡改、分布式账本等特性，基于区块链的对账能够在对账不一致的情况下，找到一个可信的客观依据，从而减少因对账不平造成的排查成本。

    WeBankBlockchain-Data-Reconcile是一款基于区块链的对账组件，提供基于区块链智能合约账本的通用化数据对账解决方案，并提供了一套可动态扩展的对账框架，支持定制化开发。
```

```eval_rst
.. image:: ../../images/overview/Data-Reconcile.png
```

```eval_rst
.. admonition:: **主要特性**

    - 支持自定义对账数据结构
    - 支持自定义对账规则
    - 支持多种对账文件格式
    - 支持自定义对账任务和方式
    - 支持多种对账文件托管方式
    - 可定制化开发的对账处理流程
```

```eval_rst
.. toctree::
   :maxdepth: 3

   outline.md
   install.md
   model.md
   appendix.md
```